<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{createAdminEmployer.Title}"></title>

	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

	<div th:replace="fragments/phase_banner :: phase_banner">...</div>
	<div th:replace="fragments/service_header :: logout_only">...</div>

	<div class="grid-row">
		<div class="column-two-thirds">

			<form th:action="@{/create-finance-employer-user}" method="post" class="form" novalidate="novalidate" id="create-admin-employer-form"  th:object="${adminEmployerUser}">

				<div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="new-admin-employer-user-error-message" role="group" aria-labelledby="new-admin-employer-user-error-heading" tabindex="-1">
					<h1 id="admin-error-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
					<p th:text="#{errorSummary2}" id="error-message-text">Please see the errors below.</p>
					<ul class="error-summary-list">
						<li th:if="${#fields.hasErrors('eaCode')}"><a href="#employer-eaCode-label" th:errors="*{eaCode}"   id="new-admin-employer-user-list1">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('accountName')}"><a href="#employer-accountName-label" th:errors="*{accountName}"   id="new-admin-employer-user-list2">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('fullName')}"><a href="#employer-fullName-label" th:errors="*{fullName}"  id="new-admin-employer-user-list3">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('contactTelephone')}"><a href="#employer-telephone-label" th:errors="*{contactTelephone}"  id="new-admin-employer-user-list4">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('employerType')}"><a href="#employer-type-label"  th:errors="*{employerType}" id="new-admin-employer-user-list7">Descriptive link to the question with an error</a></li>
					</ul>
				</div>

				<div class="heading-group">
					<p th:text="#{serviceHeader}">Make payments to the NHS Pension Scheme</p>
					<h1 class="heading-large" id="main-heading" th:text="#{createAdminEmployer.Heading}">Create Admin Employer Account</h1>
					<h2 class="heading-medium"><p th:text="#{createAdminEmployer.Heading2}" th:remove="tag">Please fill in the form below for: </p>
					<p class="heading-medium" th:text="*{email}" th:remove="tag">mail@mail.com</p></h2>
				</div>

				<fieldset>
					<legend class="visuallyhidden">Employer Details</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('eaCode')} ? error : no-error">
						<label for="employer-eaCode" id="employer-eaCode-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.EaCode}">EA Code</span>
							<span th:if="${#fields.hasErrors('eaCode')}"  th:errors="*{eaCode}" class="error-message" id="error-message-employer-eaCode">Please enter a valid EA Code</span>
						</label>
						<input type="text" id="employer-eaCode" value="" name="employer-eaCode" class="form-control validate-text-input" required=""  th:field="*{eaCode}" th:classappend="${#fields.hasErrors('eaCode')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('accountName')} ? error : no-error">
						<label for="employer-accountName" id="employer-accountName-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.AccountName}">Account Name</span>
							<span th:if="${#fields.hasErrors('accountName')}"  th:errors="*{accountName}" class="error-message" id="error-message-employer-accountName">Please enter a valid account name</span>
						</label>
						<input type="text" id="employer-accountName" value="" name="employer-accountName" class="form-control validate-text-input" required=""  th:field="*{accountName}" th:classappend="${#fields.hasErrors('accountName')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('fullName')} ? error : no-error">
						<label for="employer-fullName" id="employer-fullName-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.FullName}">Full Name</span>
							<span th:if="${#fields.hasErrors('fullName')}"  th:errors="*{fullName}" class="error-message" id="error-message-employer-fullName">Please enter a valid name</span>
						</label>
						<input type="email" id="employer-fullName" value="" name="employer-fullName" class="form-control validate-text-input" required=""  th:field="*{fullName}" th:classappend="${#fields.hasErrors('fullName')} ? form-control-error" />
					</div>


					<div class="form-group" th:classappend="${#fields.hasErrors('contactTelephone')} ? error : no-error">
						<label for="employer-telephone" id="employer-telephone-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.Telephone}">Telephone</span>
							<span th:if="${#fields.hasErrors('contactTelephone')}"  th:errors="*{contactTelephone}" class="error-message" id="error-message-employer-telephone">Please enter a valid phone number</span>
						</label>
						<input type="email" id="employer-telephone" value="" name="employer-telephone" class="form-control validate-text-input" required=""  th:field="*{contactTelephone}" th:classappend="${#fields.hasErrors('contactTelephone')} ? form-control-error" />
					</div>

				</fieldset>

				<div class="form-group" th:classappend="${#fields.hasErrors('employerType')} ? error : no-error" >
					<legend id="employer-type-label">
						<span class="form-label-bold">Employer Type</span>
						<span th:if="${#fields.hasErrors('employerType')}" th:errors="*{employerType}" class="error-message" id="error-message-employer-type">Please select an employer type</span>
					</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('employerType')} ? error : no-error">
						<fieldset class="inline">
							<legend class="visually-hidden">Employer Type</legend>
							<label class="block-label selection-button-radio" for="employer-type-staff" id="employer-type-staff-label">
								<input th:text="#{createAdminEmployer.Staff}" id="employer-type-staff" type="radio" name="radio-employer-type" th:field="*{employerType}"  value="STAFF">Staff</input>

							</label>
							<label class="block-label selection-button-radio" id="employer-type-gp-label" for="employer-type-gp">
								<input th:text="#{createAdminEmployer.GP}" id="employer-type-gp" type="radio" name="radio-employer-type"  th:field="*{employerType}" value="GP" required="" aria-required="true" class="validate-radio-input"  th:classappend="${#fields.hasErrors('employerType')} ? form-control-error : form-control" >GP</input>
							</label>
						</fieldset>
					</div>
				</div>

				<div class="error-message" th:if="${userExists}"><p  id="user-exists-message" th:text="#{createAdminEmployer.UserAlreadyExists}" >This user is already registered</p></div>

				<div class="form-group" id="add-user-submit-button">
					<button type="submit" class="button" th:text="#{createAdminEmployer.AddEmployer}" id="add-user-button">Add employer</button>
				</div>
			</form>

		</div>
	</div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>
